version: 1.7.0-rc.3
files:
  - url: Cherry-Studio-1.7.0-rc.3-arm64.AppImage
    sha512: dkQ26Q5bp3a4U6nAxs3a6rmbN+mRe4ndyLHdBMNppc21QnKrnUSqxQEok+JWNxkAkh+BPQ3d/lBpvnqWF5BU0A==
    size: 172418774
    blockMapSize: 180770
  - url: Cherry-Studio-1.7.0-rc.3-arm64.deb
    sha512: MSIOkwTDZ1yeyT6fDlio2rXG+49Fc+daezW/3Og8VrGFDMFPU4zAnjhPFoDzo6MQyT/F1JwzDr+c9tO4Dgb6Lw==
    size: 125097312
  - url: Cherry-Studio-1.7.0-rc.3-aarch64.rpm
    sha512: jK+BCwY4Rl/qu7Axjj+SfYma/n+Mf6G6hS4PFRTQevr4pufFeYQPwghL8S54mu6+DWMFxBS4yCtT2LBpoV+Gog==
    size: 109370397
path: Cherry-Studio-1.7.0-rc.3-arm64.AppImage
sha512: dkQ26Q5bp3a4U6nAxs3a6rmbN+mRe4ndyLHdBMNppc21QnKrnUSqxQEok+JWNxkAkh+BPQ3d/lBpvnqWF5BU0A==
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-rc.3

  ✨ New Features:
  - Provider: Added Silicon provider support for Anthropic API compatibility
  - Provider: AIHubMix support for nano banana

  🐛 Bug Fixes:
  - i18n: Clean up translation tags and untranslated strings
  - Provider: Fixed Silicon provider code list
  - Provider: Fixed Poe API reasoning parameters for GPT-5 and reasoning models
  - Provider: Fixed duplicate /v1 in Anthropic API endpoints
  - Provider: Fixed Azure provider handling in AI SDK integration
  - Models: Added Claude Opus 4.5 pattern to THINKING_TOKEN_MAP
  - Models: Improved Gemini reasoning and message handling
  - Models: Fixed custom parameters for Gemini models
  - Models: Fixed qwen-mt-flash text delta support
  - Models: Fixed Groq verbosity setting
  - UI: Fixed quota display and quota tips
  - UI: Fixed web search button condition
  - Settings: Fixed updateAssistantPreset reducer to properly update preset
  - Settings: Respect enableMaxTokens setting when maxTokens is not configured
  - SDK: Fixed header merging logic in AI SDK

  ⚡ Improvements:
  - SDK: Upgraded @anthropic-ai/claude-agent-sdk to 0.1.53

  <!--LANG:zh-CN-->
  v1.7.0-rc.3 更新内容

  ✨ 新功能:
  - 提供商：新增 Silicon 提供商对 Anthropic API 的兼容性支持
  - 提供商：AIHubMix 支持 nano banana

  🐛 问题修复:
  - 国际化：清理翻译标签和未翻译字符串
  - 提供商：修复 Silicon 提供商代码列表
  - 提供商：修复 Poe API 对 GPT-5 和推理模型的推理参数
  - 提供商：修复 Anthropic API 端点重复 /v1 问题
  - 提供商：修复 Azure 提供商在 AI SDK 集成中的处理
  - 模型：Claude Opus 4.5 添加到 THINKING_TOKEN_MAP
  - 模型：改进 Gemini 推理和消息处理
  - 模型：修复 Gemini 模型自定义参数
  - 模型：修复 qwen-mt-flash text delta 支持
  - 模型：修复 Groq verbosity 设置
  - 界面：修复配额显示和配额提示
  - 界面：修复 Web 搜索按钮条件
  - 设置：修复 updateAssistantPreset reducer 正确更新 preset
  - 设置：尊重 enableMaxTokens 设置
  - SDK：修复 AI SDK 中 header 合并逻辑

  ⚡ 改进:
  - SDK：升级 @anthropic-ai/claude-agent-sdk 到 0.1.53
  <!--LANG:END-->
releaseDate: '2025-11-26T13:18:44.067Z'
